from django.contrib import admin

# Register your models here.
from django.contrib import admin
from .models import Author, Books

class AuthorAdmin(admin.ModelAdmin):
    model = Author

    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio')
    search_fields = ('first_name', 'last_name', 'bio')
    list_filter = ('age', 'nationality')

class BooksAdmin(admin.ModelAdmin):
    model = Books

    list_display = ('title', 'author', 'publisher', 'year_published', 'ISBN', 'blurb')
    search_fields = ('title', 'author', 'publisher', 'ISBN', 'blurb')
    list_filter = ('author', 'publisher', 'year_published')

# registering the model and the admin is what tells
# Django that admin pages must be generated for the models specified
admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)